
(function($)
{var classModifier="";function PadDocument(){var paddingRequired=$("."+classModifier).height();$("#"+classModifier+"padding").css({paddingTop:paddingRequired+"px"});}
$.fn.constantfooter=function(settings){var config={classmodifier:"constantfooter",opacity:0.8,showclose:false,closebutton:"[x]"};if(settings){$.extend(config,settings);}
return this.each(function(){classModifier=config.classmodifier;var opacity=parseFloat(config.opacity);if(opacity>1){opacity=1;}else if(opacity<0.1){opacity=0.1;}
$This=$(this);$This.hide().addClass(classModifier).css({position:"fixed",bottom:"0px",left:"0px",width:"100%"})
if(config.showclose){$(this).prepend("<div style=\"float: right;\" class=\""+classModifier+"close\">"+config.closebutton+"</div>");$("."+classModifier+"close").css({cursor:"pointer"});$("."+classModifier+"close").click(function(){$(this).parent().fadeOut();window.clearTimeout(feedTimer);});}
$This.fadeTo(1000,opacity);PadDocument();});};})(jQuery);